------------------------------------------------------------------------------------
--Name:  	juqing6
--Creator:	由剧情表现脚本编辑器生成
--Created:	2025-06-05
------------------------------------------------------------------------------------

CppScriptMgr:SetViewPosByCell(566, 530)
local Player_1 = CppScriptMgr:AddSimplePlayer(1101200, 566, 530, "ElfKing", 0, 0)
Player_1:SetZoomPercent(120)
local Player_2 = CppScriptMgr:QueryHero()
Player_2:SetPos(571, 535)
Player_2:SetDir(3)
Player_2:SetZoomPercent(120)
CppScriptMgr:WaitMilSec(500)
Player_1:SetAction(230)
local effect_0 = CppScriptMgr:AddEffect("zf2-e233", 564, 537, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(500)
local Player_3 = ChangeSize(564, 537, "LXLJX1", 2, 150, 5, 33)
CppScriptMgr:WaitMilSec(920)
Player_1:SetDir(7)
CppScriptMgr:WaitMilSec(80)
Player_1:Say("Go! The world gate opens for you!", 1500)
CppScriptMgr:WaitMilSec(1500)
Player_2:SetAction(200)
Player_2:Say("Wait for my good news!", 1500)
CppScriptMgr:WaitMilSec(1490)
Player_2:SetDir(1)
Player_2:WalkTo(567, 538)
CppScriptMgr:WaitMilSec(990)
Player_2:SetAction(190)
local Effect_1 = CppScriptMgr:AddEffect("irongate_superc", 568, 538, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(1500)